
Redmine - Defect #3974

Issue moving doesn't take into account permissions

2009-10-05 16:25 - Luke Hoersten

Status: Closed Start date: 2009-10-05

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.2.1

Description

It looks like a user can only move an issue between two projects the user is a manager of. It should allow moving from a project the

user manages to any project the user has issue-creation permissions for.

History

#1 - 2013-01-14 10:16 - Daniel Felix

- Status changed from New to Confirmed

- Affected version (unused) set to 2.2.1

- Affected version set to 2.2.1

This is still valid. I just tried it with the current trunk r11182.

The expected behaviour would be something like this (always expected that UserA wants to move an issue from "Project A" to "Project B"

User Role in Project A Role in ProjectB Expected Behaviour

UserA Reporter Reporter No right to move ticket between

projects

UserA Reporter Manager No right to move a ticket to Project

B

UserA Manager Reporter Right to move a ticket to Project B

UserA Manager Manager Right to move a ticket to ProjectB

What do you think about it?

#2 - 2013-05-05 11:27 - Jean-Baptiste Barth

- Status changed from Confirmed to Needs feedback

- Assignee set to Jean-Baptiste Barth

It needs some clarification I think. "Manager" and "Reporter" are only default roles in Redmine, so it would be a better idea to talk about

"permissions".

Moving an issue from Project A to Project B isn't just simply "creating", it also removes the issue from Project A. Hence a special permission was

added to "move issues". By default only "Manager" has this permission, not "Reporter". Hence the behavior you observed Daniel. This permission

seems to be there for a long time. For Luke report, I cannot investigate it's far too old (and I'm sorry nobody answered by the way).

So I think the current behavior is correct. Let me know what you think.

#3 - 2014-09-06 03:53 - Jean-Baptiste Barth

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing as there's no feedback on this. Please re-open if needed.
